package com.ruoyi.sy.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 二级专业对象 sy_major_category
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public class SyMajorCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 二级专业code */
    @Excel(name = "二级专业code")
    private String majorCategoryCode;

    /** 二级专业名称 */
    @Excel(name = "二级专业名称")
    private String majorCategoryName;

    /** 一级专业code */
    @Excel(name = "一级专业code")
    private String majorSubjectCode;

    private String majorSubjectName;

    private String majorCode;

    private String majorName;

    /** 科目类型，本科/专科 */
    @Excel(name = "科目类型，本科/专科")
    private String type;

    /** 层级 */
    @Excel(name = "层级")
    private Integer level;

    private Integer state;

    public String getMajorCode() {
        return majorCode;
    }

    public void setMajorCode(String majorCode) {
        this.majorCode = majorCode;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getMajorSubjectName() {
        return majorSubjectName;
    }

    public void setMajorSubjectName(String majorSubjectName) {
        this.majorSubjectName = majorSubjectName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMajorCategoryCode(String majorCategoryCode) 
    {
        this.majorCategoryCode = majorCategoryCode;
    }

    public String getMajorCategoryCode() 
    {
        return majorCategoryCode;
    }
    public void setMajorCategoryName(String majorCategoryName) 
    {
        this.majorCategoryName = majorCategoryName;
    }

    public String getMajorCategoryName() 
    {
        return majorCategoryName;
    }
    public void setMajorSubjectCode(String majorSubjectCode) 
    {
        this.majorSubjectCode = majorSubjectCode;
    }

    public String getMajorSubjectCode() 
    {
        return majorSubjectCode;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setLevel(Integer level) 
    {
        this.level = level;
    }

    public Integer getLevel() 
    {
        return level;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("majorCategoryCode", getMajorCategoryCode())
            .append("majorCategoryName", getMajorCategoryName())
            .append("majorSubjectCode", getMajorSubjectCode())
            .append("type", getType())
            .append("level", getLevel())
            .toString();
    }
}
